For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • GETList Datasets
      • POSTUpsert Dataset
      • GETGet Dataset
      • DELDelete Dataset
      • PATCHMove Dataset
      • GETList Datapoints
      • GETList Versions of a Dataset
      • DELDelete Dataset Version
      • PATCHUpdate Dataset Version
      • POSTUpload CSV
      • POSTDeploy Dataset
      • DELRemove Deployment
      • GETList a Dataset's Environments
LogoLogo
Sign inBook a demo
APIDatasets

List Versions of a Dataset

GET
https://api.humanloop.com/v5/datasets/:id/versions
GET
/v5/datasets/:id/versions
$curl https://api.humanloop.com/v5/datasets/ds_b0baF1ca7652/versions \
> -H "X-API-KEY: <apiKey>"
1{
2 "records": [
3 {
4 "path": "test-questions",
5 "id": "ds_345mno",
6 "name": "test-questions",
7 "version_id": "dsv_678pqr",
8 "created_at": "2024-05-01T12:00:00Z",
9 "updated_at": "2024-05-01T12:00:00Z",
10 "last_used_at": "2024-05-01T12:00:00Z",
11 "datapoints_count": 2,
12 "type": "dataset",
13 "created_by": {
14 "id": "usr_v23rSVAgas2a",
15 "full_name": "Jordan Burges",
16 "email_address": "jordan@humanloop.com"
17 }
18 }
19 ]
20}
Get a list of the versions for a Dataset.
Was this page helpful?
Previous

Delete Dataset Version

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Unique identifier for Dataset.

Query parameters

include_datapointsenumOptional

If set to ‘latest_saved’, include datapoints for the latest saved version. Alternatively, ‘latest_committed’ (deprecated) includes datapoints for the latest committed version only.

Allowed values:

Response

Successful Response
recordslist of objects
The list of Datasets.

Errors

422
List Versions Datasets ID Versions Get Request Unprocessable Entity Error